Sync with portage [Thu Apr 6 09:01:22 MSK 2017].

mhiretskiy 838
root 7 years ago
parent 97279f3298
commit 294929b1b7

@ -1,3 +1,4 @@
DIST mcollective-2.10.1.tar.gz 1509293 SHA256 b47662b8ab3f150df6153f18c453bad049d8baf0cc8b5589436ae411258492fc SHA512 907bc4bb8527053f0813d19fd9a2fd19701af364d45385356772b09f3db50fd8c4d8e4e53ad9c3ad7c53c78bed52fcfec2354505272302c770c9cfea553309c5 WHIRLPOOL 4e283c42ae8f4161a47e95e1fc223d47fed3bc5308df09b3bd43a7b7d90e1927c2a6067faa872404e261f7e4597e900b7c994266587e8a73c53420d90614b6c6
DIST mcollective-2.10.2.tar.gz 1509434 SHA256 ea067ad540db608ae17a569e74104b26f13e528b78ec6367c2fcfb30b8cea500 SHA512 f3a2dd430c13d77ab09d75f50dd5ab8244a9697a5132ef234fe63a9120acbfc917abcfb7fb26d2ca4c4c86cc554889e3f3a6e651283b0d35f72bb7038dd813e6 WHIRLPOOL 9bf6b28d01d0fa593731b024895adc5f0d92504cf9cf2db02ae94fd8654dd6410b7ef46079632a1aadf702fc7470cf58c47e6bd68f7fb6c15834f9e9b16d3d08
DIST mcollective-2.10.3.tar.gz 1509914 SHA256 1de8531a286754a5490b1acd18565bbb6aace1720743c9d7503ef8b587de1c79 SHA512 ee053fa4cb38b1f8d5b5a91c4a6980095039210443b4dc6a5468f1dcba9749152e5feeaeb437660d65e118f8d7a99f7f5082f4c83f4260dfb4ac9d6c007ce638 WHIRLPOOL 75b5111c9593c832af1f96fa5200d5c2300eed99ff8c03c579520a69f88afee34afe37f7d8362f72f46f6e591595ea68433d01960453292766afb0441bad7d2f
DIST mcollective-2.9.1.tar.gz 1504607 SHA256 89bc9fbd72846b22220074a57d19bbfac56473649078fc3ac8182cc728159249 SHA512 29fedacb61084e1952afd3b9deb302abde3e763d13630d85dc70f78b0853f5b353fb44ccbd00e48e5864d04bf2c7568d7cbe21b06af31e1da72e52aeef3c04cf WHIRLPOOL 8affee96fa344d12b34b5a4e120029ab315133df6fd6cd456d840ab608ceb2027b9411a6a1a74bc5b9d0b029968255a926de888b7a2a1183d1c7aed195f65f7a

@ -0,0 +1,60 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
USE_RUBY="ruby21 ruby22 ruby23"
inherit ruby-ng
DESCRIPTION="Framework to build server orchestration or parallel job execution
systems"
HOMEPAGE="http://marionette-collective.org/"
SRC_URI="https://github.com/puppetlabs/marionette-collective/archive/${PV}.tar.gz -> ${P}.tar.gz"
S="${WORKDIR}/all/marionette-collective-${PV}"
LICENSE="Apache-2.0"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="doc +client"
DEPEND=""
RDEPEND="dev-ruby/stomp"
src_compile() {
einfo "nothing to compile"
}
each_ruby_install() {
cd "marionette-collective-${PV}"
doruby -r lib/*
insinto /usr/share/mcollective
use client && dosbin bin/mco
dosbin bin/mcollectived
if use doc ; then
dohtml -r doc/*
insinto /usr/share/doc/${P}/ext
doins -r ext/*
fi
newinitd "${FILESDIR}"/mcollectived.initd mcollectived
insinto /etc/mcollective
cd etc
for cfg in *.dist ; do
newins "${cfg}" "${cfg%%.dist}"
sed -i -e "s:^libdir.*:libdir = /usr/share/mcollective/plugins:" \
"${D}"/etc/mcollective/${cfg%%.dist} || die "sed failed"
done
insinto /etc/mcollective/plugin.d
}
pkg_postinst() {
einfo "Mcollective requires a stomp server installed and functioning before"
einfo "you can use it. The recommended server to use is ActiveMQ [1] but"
einfo "any other stomp compatible server should work."
einfo
einfo "It is recommended you read the \'getting started\' guide [2] if this"
einfo "is a new installation"
einfo
einfo "[1] http://activemq.apache.org/"
einfo "[2] https://code.google.com/p/mcollective/wiki/GettingStarted"
}

@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/mktwpol/${P}.tar.gz"
LICENSE="CC-BY-SA-3.0"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
KEYWORDS="amd64 ppc ~x86 ~x86-fbsd"
IUSE=""
RDEPEND="app-admin/tripwire"

@ -13,7 +13,7 @@ if [[ "${PV}" == "9999" ]] ; then
EGIT_REPO_URI="https://github.com/gentoo-perl/perl-cleaner.git"
else
SRC_URI="mirror://gentoo/${P}.tar.bz2 https://dev.gentoo.org/~dilfridge/distfiles/${P}.tar.bz2"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~sparc-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
fi
LICENSE="GPL-2"

@ -11,7 +11,7 @@ SRC_URI="https://github.com/Tripwire/tripwire-open-source/archive/${PV}.tar.gz -
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86 ~x86-fbsd"
KEYWORDS="amd64 ~ppc ~x86 ~x86-fbsd"
IUSE="libressl ssl static +tools"
DEPEND="sys-devel/automake

@ -11,7 +11,7 @@ SRC_URI="https://github.com/KiCad/${PN}/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="|| ( GPL-3+ CC-BY-3.0 ) GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE="html pdf"
LANGS="en fr it ja nl pl"
for lang in ${LANGS}; do

@ -12,7 +12,7 @@ else
MY_PV="${PV/_/-}"
EGIT_COMMIT="595e75c212d19a81d2b808a518fe1afc1391dad5"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc64"
KEYWORDS="~amd64 ~arm ~ppc64"
inherit golang-vcs-snapshot
fi

@ -12,7 +12,7 @@ else
MY_PV="${PV/_/-}"
EGIT_COMMIT="v${MY_PV}"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc64"
KEYWORDS="~amd64 ~arm ~ppc64"
inherit golang-vcs-snapshot
fi

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -9,7 +9,7 @@ if [[ ${PV} == *9999 ]]; then
else
EGIT_COMMIT="57be722e077059d1ee0539be31743a3642ccbeb3"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc64"
KEYWORDS="~amd64 ~arm ~ppc64"
inherit golang-vcs-snapshot
fi

@ -11,7 +11,7 @@ else
EGIT_COMMIT="54296cf40ad8143b62dbcaa1d90e520a2136ddfe"
RUNC_COMMIT="54296cf" # Change this when you update the ebuild
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64 ~ppc64"
KEYWORDS="~amd64 ~arm ~ppc64"
inherit golang-vcs-snapshot
fi

@ -15,7 +15,7 @@ else
DOCKER_GITCOMMIT="c6d412e"
EGIT_COMMIT="v${MY_PV}-ce"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm"
[ "$DOCKER_GITCOMMIT" ] || die "DOCKER_GITCOMMIT must be added manually for each bump!"
inherit golang-vcs-snapshot
fi

@ -1 +1,2 @@
DIST libdsk-1.4.2.tar.gz 1083103 SHA256 71eda9d0e33ab580cea1bb507467877d33d887cea6ec042b8d969004db89901a SHA512 7550b131b0ac061aa755260263e439959aa747cdac2c0df2d7e20c89c5724910ae948793884bda9fe4e504608fd34baa2db72d2066a91dda6eb797bedffd1a39 WHIRLPOOL c43af081189f28e362d104f533c777827b17511a44634dc01d3eca80289d58bc2a8d1dc1ab7049a1f6099c027742a8abbf5c3eac995736e61e5f6d1fd790155e
DIST libdsk-1.5.4.tar.gz 1211575 SHA256 e1c56f6395a011d508a5e548dcbcadce8ee8cb95740f986d6e8e3695ed59de82 SHA512 df5781a1c75d18897eaeb298222515241d7f0e3bfc6b88a15557f809ddb6674347a84227028dd9915b1086e9bb5481280e0337fc9167b7ba0e888e77c9d448c2 WHIRLPOOL fa0c55695c26775844138f58d12138ea3eb58a28da7fbce2015a48cb55f1968ff929421ccf2fba4f3ec87e45607b110bdb92f1d59dcd0daba345b35514b41637

@ -0,0 +1,18 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DESCRIPTION="LIBDSK is a library for accessing discs and disc image files"
HOMEPAGE="http://www.seasip.info/Unix/LibDsk/"
SRC_URI="http://www.seasip.info/Unix/LibDsk/${P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64"
IUSE="doc"
src_install() {
emake DESTDIR="${D}" install
DOCS="doc/${PN}.txt doc/${PN}.pdf" einstalldocs
}

@ -1 +1,2 @@
DIST laptop-mode-tools_1.70.tar.gz 116624 SHA256 12cde7dbec8c35201efab96187be75ec84e0a2424494852413f21be1b7bc6a11 SHA512 755e2d94b63bb2a6e5362365f11181374c5fe159b508076f5def91c4df93983fa3e2553bbd94ae0b5bb4690aa7fb0881eafe3f4dcc7c8e77a8b72de23f6a21c5 WHIRLPOOL a70b0e3353877ffedd87ed3f72f1239addd34e8fecfd0e54b98c328a1f4a48a87a2f278fa4afa227452eb5f874bd58912a1ddf8ae2f385636c6bb3a552ce7b3a
DIST laptop-mode-tools_1.71.tar.gz 118833 SHA256 3aa122f876ef191e2501f550363724e30d20646637cff0de7147124c867166f9 SHA512 67ef4ed4c80f3a64ab9f0f9003d415f9e8759fd0ee1c7a82837d423a0e7aeb03ab95724afd89ae223f954ae0baec5830c8fa600bd6e2e351aead83a656f9b665 WHIRLPOOL 9c26c546f75f45b46b9b9e34a5ac435f58952e4d70b8db02c86170b4026b00112fb4044e41130dbc4f74326e22b39e0b78eeee2ba935179150441e9b5d41c884

@ -0,0 +1,94 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit multilib systemd udev
MY_P="${PN}_${PV}"
DESCRIPTION="Linux kernel laptop_mode user-space utilities"
HOMEPAGE="https://github.com/rickysarraf/laptop-mode-tools/wiki"
SRC_URI="https://github.com/rickysarraf/${PN}/releases/download/${PV}/${MY_P}.tar.gz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="+acpi apm bluetooth scsi"
RDEPEND="net-wireless/wireless-tools
sys-apps/iproute2
sys-apps/ethtool
sys-apps/hdparm
sys-apps/which
acpi? ( sys-power/acpid )
apm? ( sys-apps/apmd )
bluetooth? ( net-wireless/bluez:= )
scsi? ( sys-apps/sdparm )"
DEPEND=""
S="${WORKDIR}/${MY_P}"
src_prepare() {
default
# This should avoid conflict with pm-powersave wrt #327443 and #396703
cat <<-EOF > "${T}"/${PN}
HOOK_BLACKLIST="00powersave"
EOF
}
src_compile() { :; }
src_install() {
DESTDIR="${D}" \
INIT_D="none" \
MAN_D="/usr/share/man" \
LIB_D="/usr/$(get_libdir)" \
UDEV_D="$(get_udevdir)" \
SYSTEMD_UNIT_D="$(systemd_get_systemunitdir)" \
TMPFILES_D="/usr/lib/tmpfiles.d" \
ACPI="$(use acpi && echo force || echo disabled)" \
PMU="$(false && echo force || echo disabled)" \
APM="$(use apm && echo force || echo disabled)" \
SYSTEMD=yes \
sh ./install.sh || die
dodoc Documentation/*.txt README.md
newinitd "${FILESDIR}"/laptop_mode.init-1.4 laptop_mode
# See src_prepare()
insinto /etc/pm/config.d
doins "${T}"/${PN}
}
pkg_postinst() {
if use acpi || use apm; then
if use acpi; then
daemon_name="acpid"
elif use apm; then
deamon_name="apmd"
fi
if [ "$(rc-config list default | grep laptop_mode)" = "" ] || [ "$(rc-config list default | grep ${daemon_name} )" = "" ]; then
ewarn "To enable automatic power state event handling,"
ewarn "e.g. enabling laptop_mode after unplugging the battery,"
ewarn "both laptop_mode and the ${daemon_name} daemon must be"
ewarn "added to default runlevel:"
if [ "$(rc-config list default | grep laptop_mode)" = "" ]; then
ewarn "# rc-update add laptop_mode default"
fi
if [ "$(rc-config list default | grep ${daemon_name} )" = "" ]; then
ewarn "# rc-update add ${daemon_name} default"
fi
fi
else
ewarn "Without USE=\"acpi\" or USE=\"apm\" ${PN} can not"
ewarn "automatically disable laptop_mode on low battery."
ewarn
ewarn "This means you can lose up to 10 minutes of work if running"
ewarn "out of battery while laptop_mode is enabled."
ewarn
ewarn "Please see laptop-mode.txt in /usr/share/doc/${PF} for further"
ewarn "information."
ewarn
fi
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -15,7 +15,7 @@ SRC_URI="mirror://sourceforge/project/${PN}/${PN}-devel/${PV}/${P}.tar.xz"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~ppc64 ~x86"
IUSE="+boost debug examples graphicsmagick hunspell +minimal osg +pdf scripts templates tk"
#a=$((ls resources/translations/scribus.*ts | sed -e 's:\.: :g' | awk '{print $2}'; ls resources/loremipsum/*xml | sed -e 's:\.: :g' -e 's:loremipsum\/: :g'| awk '{print $2}'; ls resources/dicts/hyph*dic | sed -e 's:\.: :g' -e 's:hyph_: :g' | awk '{print $2}'; ls resources/dicts/README_*txt | sed -e 's:_hyph::g' -e 's:\.: :g' -e 's:README_: :g' | awk '{print $2}') | sort | uniq); echo $a

@ -15,9 +15,206 @@ IUSE=""
DEPEND=""
RDEPEND=""
S="${WORKDIR}"
src_install() {
cp "${FILESDIR}"/prefix-chain-setup.in "${T}"/prefix-chain-setup
eprefixify "${T}"/prefix-chain-setup
sed -e "s,@GENTOO_PORTAGE_CHOST@,${CHOST}," -i "${T}"/prefix-chain-setup
dobin "${T}"/prefix-chain-setup
eprefixify ${PN}
sed -e "s,@GENTOO_PORTAGE_CHOST@,${CHOST}," -i ${PN}
dobin ${PN}
}
src_unpack() {
{ cat > "${PN}" || die; } <<'EOF'
#!/usr/bin/env bash
PARENT_EPREFIX="@GENTOO_PORTAGE_EPREFIX@"
PARENT_CHOST="@GENTOO_PORTAGE_CHOST@"
CHILD_EPREFIX=
CHILD_PROFILE=
DO_MINIMAL=no
DO_SOURCES=no
PORT_TMPDIR=
#
# get ourselfs the functions.sh script for ebegin/eend/etc.
#
for f in \
/lib/gentoo/functions.sh \
/etc/init.d/functions.sh \
/sbin/functions.sh \
; do
if [[ -r ${PARENT_EPREFIX}${f} ]]; then
. "${PARENT_EPREFIX}${f}"
f=found
break
fi
done
if [[ ${f} != found ]]; then
echo "Cannot find Gentoo functions, aborting." >&2
exit 1
fi
for arg in "$@"; do
case "${arg}" in
--eprefix=*) CHILD_EPREFIX="${arg#--eprefix=}" ;;
--profile=*) CHILD_PROFILE="${arg#--profile=}" ;;
--sources) DO_SOURCES=yes ;;
--portage-tmpdir=*) PORT_TMPDIR="${arg#--portage-tmpdir=}" ;;
--help)
einfo "$0 usage:"
einfo " --eprefix=[PATH] Path to new EPREFIX to create chained to the prefix"
einfo " where this script is installed (${PARENT_EPREFIX})"
einfo " --profile=[PATH] The absolute path to the profile to use. This path"
einfo " must point to a directory within ${PARENT_EPREFIX}"
einfo " --sources inherit 'source' statements from the parent make.conf"
einfo " --portage-tmpdir=DIR use DIR as portage temporary directory."
exit 0
;;
esac
done
#
# sanity check of given values
#
test -n "${CHILD_EPREFIX}" || { eerror "no eprefix argument given"; exit 1; }
test -d "${CHILD_EPREFIX}" && { eerror "${CHILD_EPREFIX} already exists"; exit 1; }
test -n "${CHILD_PROFILE}" || { eerror "no profile argument given"; exit 1; }
test -d "${CHILD_PROFILE}" || { eerror "${CHILD_PROFILE} does not exist"; exit 1; }
if test -n "${PORT_TMPDIR}"; then
if ! test -d "${PORT_TMPDIR}"; then
einfo "creating temporary directory ${PORT_TMPDIR}"
mkdir -p "${PORT_TMPDIR}"
fi
fi
einfo "creating chained prefix ${CHILD_EPREFIX}"
#
# functions needed below.
#
eend_exit() {
eend $1
[[ $1 != 0 ]] && exit 1
}
#
# create the directories required to bootstrap the least.
#
ebegin "creating directory structure"
(
set -e
mkdir -p "${CHILD_EPREFIX}"/etc/portage
mkdir -p "${CHILD_EPREFIX}"/var/log
)
eend_exit $?
#
# create a make.conf and set PORTDIR and PORTAGE_TMPDIR
#
ebegin "creating make.conf"
(
set -e
echo "#"
echo "# The following values where taken from the parent prefix's"
echo "# environment. Feel free to adopt them as you like."
echo "#"
echo "CFLAGS=\"$(portageq envvar CFLAGS)\""
echo "CXXFLAGS=\"$(portageq envvar CXXFLAGS)\""
echo "MAKEOPTS=\"$(portageq envvar MAKEOPTS)\""
niceness=$(portageq envvar PORTAGE_NICENESS || true)
[[ -n ${niceness} ]] &&
echo "PORTAGE_NICENESS=\"${niceness}\""
echo "USE=\"prefix-chaining\""
echo
echo "# Mirrors from parent prefix."
echo "GENTOO_MIRRORS=\"$(portageq envvar GENTOO_MIRRORS || true)\""
echo
echo "#"
echo "# Below comes the chained-prefix setup. Only change things"
echo "# if you know exactly what you are doing!"
echo "# by default, only DEPEND is inherited from the parent in"
echo "# the chain. if you want more, make it a comma seperated"
echo "# list - like this: DEPEND,RDEPEND,PDEPEN - which would the"
echo "# all that is possible"
echo "#"
echo "PORTDIR=\"$(portageq envvar PORTDIR)\""
echo "SYNC=\"$(portageq envvar SYNC || true)\""
if test -z "${PORT_TMPDIR}"; then
case "${CHILD_PROFILE}" in
*winnt*) echo "PORTAGE_TMPDIR=/var/tmp" ;;
*) echo "PORTAGE_TMPDIR=\"${CHILD_EPREFIX}/var/tmp\"" ;;
esac
else
echo "PORTAGE_TMPDIR=\"${PORT_TMPDIR}\""
fi
echo "READONLY_EPREFIX=\"${PARENT_EPREFIX}:DEPEND\""
if test "${DO_SOURCES}" == "yes"; then
# don't fail if nothing found
for f in /etc/portage/make.conf /etc/make.conf; do
if [[ -r ${PARENT_EPREFIX}${f} ]]; then
egrep "^source .*" "${PARENT_EPREFIX}${f}" 2>/dev/null || true
break;
fi
done
fi
) > "${CHILD_EPREFIX}"/etc/portage/make.conf
eend_exit $?
#
# create the make.profile symlinks.
#
ebegin "creating make.profile"
(
ln -s "${CHILD_PROFILE}" "${CHILD_EPREFIX}/etc/portage/make.profile"
)
eend_exit $?
#
# adjust permissions of generated files.
#
ebegin "adjusting permissions"
(
chmod 644 "${CHILD_EPREFIX}"/etc/portage/make.conf
)
eend_exit $?
#
# now merge some basics.
#
ebegin "installing required basic packages"
(
# this -pv is there to avoid the global update output, which is
# there on the first emerge run. (thus, just cosmetics).
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -p1qO baselayout-prefix > /dev/null 2>&1
set -e
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -1qO gentoo-functions baselayout-prefix prefix-chain-utils
# merge with the parent's chost. this forces the use of the parent
# compiler, which generally would be illegal - this is an exception.
# This is required for example on winnt, because the wrapper has to
# be able to use/resolve symlinks, etc. native winnt binaries miss that
# ability, but interix binaries don't.
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" CHOST="${PARENT_CHOST}" emerge -1qO gcc-config
# select the chain wrapper profile from gcc-config
env -i "$(type -P bash)" "${CHILD_EPREFIX}"/usr/bin/gcc-config 1
# do this _AFTER_ selecting the correct compiler!
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -1qO libtool
)
eend_exit $?
#
# wow, all ok :)
#
ewarn
ewarn "all done. don't forget to tune ${CHILD_EPREFIX}/etc/portage/make.conf."
ewarn "to enter the new prefix, run \"${CHILD_EPREFIX}/startprefix\"."
ewarn
EOF
}

@ -1,3 +1,32 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
inherit prefix
DESCRIPTION="Chained EPREFIX bootstrapping utility"
HOMEPAGE="https://prefix.gentoo.org/"
SRC_URI=""
LICENSE="GPL-3"
SLOT="0"
KEYWORDS="~ppc-aix ~x64-cygwin ~x86-linux ~sparc-solaris ~x86-solaris"
IUSE=""
DEPEND=""
RDEPEND=""
S="${WORKDIR}"
src_install() {
eprefixify ${PN}
sed -e "s,@GENTOO_PORTAGE_CHOST@,${CHOST}," -i ${PN}
dobin ${PN}
}
src_unpack() {
{ cat > "${PN}" || die; } <<'EOF'
#!/usr/bin/env bash
PARENT_EPREFIX="@GENTOO_PORTAGE_EPREFIX@"
@ -97,13 +126,13 @@ ebegin "creating make.conf"
echo "CFLAGS=\"$(portageq envvar CFLAGS)\""
echo "CXXFLAGS=\"$(portageq envvar CXXFLAGS)\""
echo "MAKEOPTS=\"$(portageq envvar MAKEOPTS)\""
niceness=$(portageq envvar PORTAGE_NICENESS || true)
[[ -n ${niceness} ]] &&
echo "PORTAGE_NICENESS=\"${niceness}\""
niceness=$(portageq envvar PORTAGE_NICENESS || true)
[[ -n ${niceness} ]] &&
echo "PORTAGE_NICENESS=\"${niceness}\""
echo "USE=\"prefix-chaining\""
echo
echo "# Mirrors from parent prefix."
echo "GENTOO_MIRRORS=\"$(portageq envvar GENTOO_MIRRORS || true)\""
echo
echo "# Mirrors from parent prefix."
echo "GENTOO_MIRRORS=\"$(portageq envvar GENTOO_MIRRORS || true)\""
echo
echo "#"
echo "# Below comes the chained-prefix setup. Only change things"
@ -165,7 +194,8 @@ ebegin "installing required basic packages"
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -p1qO baselayout-prefix > /dev/null 2>&1
set -e
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -1qO gentoo-functions baselayout-prefix prefix-chain-utils
PORTAGE_CONFIGROOT="${CHILD_EPREFIX}" EPREFIX="${CHILD_EPREFIX}" emerge -1qO \
gentoo-functions baselayout-prefix elt-patches gnuconfig prefix-chain-utils
# merge with the parent's chost. this forces the use of the parent
# compiler, which generally would be illegal - this is an exception.
@ -189,3 +219,5 @@ ewarn
ewarn "all done. don't forget to tune ${CHILD_EPREFIX}/etc/portage/make.conf."
ewarn "to enter the new prefix, run \"${CHILD_EPREFIX}/startprefix\"."
ewarn
EOF
}

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -11,7 +11,7 @@ SRC_URI="https://github.com/editorconfig/${PN}/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="BSD-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="cli doc"
CDEPEND="dev-libs/libpcre:="
DEPEND="${CDEPEND}

@ -1,6 +1,5 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6

@ -1,6 +1,5 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
# $Id$
EAPI=6

@ -80,4 +80,11 @@ src_install() {
fi
emake DESTDIR="${D}" install_gps_plugin
einstalldocs
dodoc -r features-* known-problems-* examples
mv "${D}"/usr/share/doc/${PN}/GNATColl.pdf "${D}"/usr/share/doc/${PF}/
mv "${D}"/usr/share/doc/${PN}/html/html "${D}"/usr/share/doc/${PF}/
}
src_test() {
true
}

@ -9,7 +9,7 @@ SRC_URI="mirror://sourceforge/${PN}/${PN}/${P}.tar.bz2"
LICENSE="Boost-1.0"
SLOT="0"
KEYWORDS="alpha amd64 ~arm ~hppa ia64 ppc ppc64 sparc x86"
KEYWORDS="alpha amd64 ~arm ~arm64 ~hppa ia64 ppc ppc64 sparc x86"
IUSE="doc examples ssl test"
RDEPEND="dev-libs/boost

@ -11,7 +11,7 @@ SRC_URI="https://www.percona.com/downloads/XtraBackup/Percona-XtraBackup-${PV}/s
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="amd64 ~x86"
IUSE=""
DEPEND="

@ -14,7 +14,7 @@ HOMEPAGE="http://www.phpmyadmin.net/"
SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha ~amd64 ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
IUSE="setup"
RDEPEND="

@ -14,7 +14,7 @@ HOMEPAGE="https://www.phpmyadmin.net/"
SRC_URI="https://files.phpmyadmin.net/${MY_PN}/${MY_PV}/${MY_P}.tar.xz"
LICENSE="GPL-2"
KEYWORDS="~alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
KEYWORDS="alpha ~amd64 ~arm ~hppa ~ia64 ~ppc ~ppc64 ~sparc ~x86 ~x86-fbsd ~ppc-macos ~x64-macos ~x86-macos"
IUSE="setup"
RDEPEND="

@ -15,7 +15,7 @@ SRC_URI="http://trac.openscenegraph.org/downloads/developer_releases/${MY_P}.zip
LICENSE="wxWinLL-3 LGPL-2.1"
SLOT="0/35" # Subslot consists of major + minor version number
KEYWORDS="amd64 x86"
KEYWORDS="amd64 ~ppc64 x86"
IUSE="asio curl debug doc examples ffmpeg fltk fox gdal gif glut gstreamer gtk jpeg
jpeg2k las libav lua openexr openinventor osgapps pdf png qt5 sdl sdl2 svg tiff
truetype vnc wxwidgets xine xrandr zlib"

@ -7,7 +7,7 @@ EGO_PN=github.com/russross/${PN}
if [[ ${PV} = *9999* ]]; then
inherit golang-vcs
else
KEYWORDS="~amd64 ~arm64"
KEYWORDS="~amd64 ~arm ~arm64"
EGIT_COMMIT="v${PV}"
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
inherit golang-vcs-snapshot

@ -7,7 +7,7 @@ EGO_PN=github.com/cpuguy83/go-md2man
if [[ ${PV} = *9999* ]]; then
inherit golang-vcs
else
KEYWORDS="~amd64 ~arm64"
KEYWORDS="~amd64 ~arm ~arm64"
EGIT_COMMIT=v${PV}
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
inherit golang-vcs-snapshot

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -7,7 +7,7 @@ EGO_PN=github.com/shurcooL/sanitized_anchor_name
if [[ ${PV} = *9999* ]]; then
inherit golang-vcs
else
KEYWORDS="amd64 ~arm64"
KEYWORDS="amd64 ~arm ~arm64"
EGIT_COMMIT=10ef21a
SRC_URI="https://${EGO_PN}/archive/${EGIT_COMMIT}.tar.gz -> ${P}.tar.gz"
inherit golang-vcs-snapshot

@ -29,7 +29,7 @@ HOMEPAGE="http://www.perl.org/"
LICENSE="|| ( Artistic GPL-1+ )"
SLOT="0/${SHORT_PV}"
KEYWORDS="~alpha ~amd64 ~arm ~arm64 ~hppa ~ia64 ~m68k ~mips ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
KEYWORDS="~alpha ~amd64 arm arm64 ~hppa ~ia64 ~m68k ~mips ppc ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~x64-cygwin ~amd64-fbsd ~x86-fbsd ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~m68k-mint ~sparc-solaris ~sparc64-solaris ~x64-solaris ~x86-solaris"
IUSE="berkdb debug doc gdbm ithreads"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -10,7 +10,7 @@ USE_RUBY="ruby19"
inherit toolchain-funcs versionator python-r1 mono-env ruby-ng db-use
DESCRIPTION="ICE middleware C++ library and generator tools"
HOMEPAGE="http://www.zeroc.com/"
HOMEPAGE="https://zeroc.com/products/ice"
SRC_URI="http://www.zeroc.com/download/Ice/$(get_version_component_range 1-2)/${P}.tar.gz
doc? ( http://www.zeroc.com/download/Ice/$(get_version_component_range 1-2)/${P}.pdf )"
LICENSE="GPL-2"

@ -23,7 +23,7 @@ BERKDB_SLOTS=( 6.1 5.3 5.1 4.8 )
inherit db-use eutils mono-env php-ext-source-r2 python-r1 ruby-ng toolchain-funcs versionator
DESCRIPTION="ICE middleware C++ library and generator tools"
HOMEPAGE="http://www.zeroc.com/"
HOMEPAGE="https://zeroc.com/products/ice"
SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
doc? ( http://download.zeroc.com/Ice/$(get_version_component_range 1-2)/${P}.pdf )"
LICENSE="GPL-2"

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -23,7 +23,7 @@ BERKDB_SLOTS=( 6.1 5.3 5.1 4.8 )
inherit db-use eutils mono-env php-ext-source-r2 python-r1 ruby-ng toolchain-funcs versionator
DESCRIPTION="ICE middleware C++ library and generator tools"
HOMEPAGE="http://www.zeroc.com/"
HOMEPAGE="https://zeroc.com/products/ice"
SRC_URI="https://github.com/zeroc-ice/ice/archive/v${PV}.tar.gz -> ${P}.tar.gz
doc? ( http://download.zeroc.com/Ice/$(get_version_component_range 1-2)/${P}.pdf )"
LICENSE="GPL-2"

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -12,13 +12,13 @@ SRC_URI="mirror://sourceforge/fampp/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="examples stlport"
IUSE="examples"
RDEPEND="virtual/fam
stlport? ( dev-libs/STLport )
>=dev-libs/ferrisloki-2.0.3[stlport?]
>=dev-libs/libsigc++-2.6:2
RDEPEND="
>=dev-libs/ferrisloki-2.0.3
dev-libs/glib:2
>=dev-libs/libsigc++-2.6:2
virtual/fam
x11-libs/gtk+:2"
DEPEND="${DEPEND}
virtual/pkgconfig"
@ -47,8 +47,7 @@ src_configure() {
--disable-static \
--disable-glibtest \
--disable-gtktest \
--with-stlport="${EPREFIX}/usr/include/stlport" \
$(use_enable stlport) \
--disable-stlport \
$(use_with examples)
}

@ -5,9 +5,6 @@
<email>cpp@gentoo.org</email>
<name>Gentoo C++ Project</name>
</maintainer>
<use>
<flag name="stlport">Include support for <pkg>dev-libs/STLport</pkg></flag>
</use>
<upstream>
<remote-id type="sourceforge">fampp</remote-id>
</upstream>

@ -1,8 +1,9 @@
# Copyright 1999-2013 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils flag-o-matic multilib
EAPI=6
inherit flag-o-matic
DESCRIPTION="Loki C++ library from Modern C++ Design"
HOMEPAGE="http://www.libferris.com/"
@ -11,14 +12,16 @@ SRC_URI="mirror://sourceforge/witme/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ~ppc x86 ~amd64-linux ~x86-linux"
IUSE="static-libs stlport"
IUSE="static-libs"
RDEPEND="stlport? ( >=dev-libs/STLport-5 )
RDEPEND="
>=dev-libs/libsigc++-2.6:2"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_prepare() {
default
# derice this damn configure script
sed -i \
-e '/^CFLAGS/{s: -O3 : :g;s:-Wl,-O1 -Wl,--hash-style=both::;}' \
@ -28,20 +31,19 @@ src_prepare() {
# Fix building with libsigc++-2.6
find -name '*.h' -exec sed -i '/sigc++\/object.h/d' {} + || die
find -name '*.hh' -exec sed -i '/sigc++\/object.h/d' {} + || die
epatch_user
}
src_configure() {
append-cxxflags -std=c++11
econf \
--libdir="${EPREFIX}/usr/$(get_libdir)" \
--with-stlport="${EPREFIX}/usr/include/stlport" \
$(use_enable stlport) \
--disable-stlport \
$(use_enable static-libs static)
}
src_install() {
default
prune_libtool_files
# package provides .pc files
find "${D}" -name '*.la' -delete || die
}

@ -1,43 +0,0 @@
# Copyright 1999-2013 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
inherit eutils multilib
DESCRIPTION="Loki C++ library from Modern C++ Design"
HOMEPAGE="http://www.libferris.com/"
SRC_URI="mirror://sourceforge/witme/${P}.tar.bz2"
LICENSE="GPL-2"
SLOT="0"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux"
IUSE="static-libs stlport"
RDEPEND="stlport? ( >=dev-libs/STLport-5 )
dev-libs/libsigc++:2"
DEPEND="${RDEPEND}
virtual/pkgconfig"
src_prepare() {
# derice this damn configure script
sed -i \
-e '/^CFLAGS/{s: -O3 : :g;s:-Wl,-O1 -Wl,--hash-style=both::;}' \
-e 's:-lstlport_gcc:-lstlport:' \
configure || die
epatch_user
}
src_configure() {
econf \
--libdir="${EPREFIX}/usr/$(get_libdir)" \
--with-stlport="${EPREFIX}/usr/include/stlport" \
$(use_enable stlport) \
$(use_enable static-libs static)
}
src_install() {
default
prune_libtool_files
}

@ -1,14 +1,11 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="project">
<email>cpp@gentoo.org</email>
<name>Gentoo C++ Project</name>
</maintainer>
<use>
<flag name="stlport">Include support for <pkg>dev-libs/STLport</pkg></flag>
</use>
<upstream>
<remote-id type="sourceforge">witme</remote-id>
</upstream>
<maintainer type="project">
<email>cpp@gentoo.org</email>
<name>Gentoo C++ Project</name>
</maintainer>
<upstream>
<remote-id type="sourceforge">witme</remote-id>
</upstream>
</pkgmetadata>

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -12,7 +12,7 @@ S="${WORKDIR}/${PN}.git"
LICENSE="BSD"
SLOT="0"
KEYWORDS="~amd64 ~arm ~arm64 ~x86"
KEYWORDS="~amd64 ~arm ~arm64 ~ppc ~ppc64 ~x86"
IUSE=""
DEPEND=""

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -12,7 +12,7 @@ S="${WORKDIR}/${PN}.git"
LICENSE="BSD"
SLOT="0"
KEYWORDS="amd64 ~arm ~arm64 x86"
KEYWORDS="amd64 ~arm ~arm64 ~ppc ~ppc64 x86"
IUSE=""
DEPEND="dev-libs/gf-complete"

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
@ -13,7 +13,7 @@ SRC_URI="${HOMEPAGE}/files/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0/8"
KEYWORDS="~alpha ~amd64 ~x86 ~amd64-linux ~x86-linux"
KEYWORDS="~alpha ~amd64 ~arm ~ppc64 ~x86 ~amd64-linux ~x86-linux"
IUSE="blas cuda debug doc examples fftw gcc-plugin mpi opencl opengl
qt4 static-libs test"

@ -1,16 +1,14 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit common-lisp-3
MY_P="v${PV}"
DESCRIPTION="CL-PPCRE is a portable regular expression library for Common Lisp."
HOMEPAGE="http://weitz.de/cl-ppcre/
http://www.cliki.net/cl-ppcre"
SRC_URI="https://github.com/edicl/${PN}/archive/${MY_P}.tar.gz -> ${P}.tar.gz"
SRC_URI="https://github.com/edicl/${PN}/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="BSD-2"
SLOT="0"
@ -28,6 +26,5 @@ src_unpack() {
src_install() {
common-lisp-install-sources *.lisp test/
common-lisp-install-asdf ${PN}
dodoc CHANGELOG
dohtml doc/index.html
dodoc CHANGELOG doc/index.html
}

@ -5,16 +5,27 @@
<email>common-lisp@gentoo.org</email>
<name>Gentoo Common Lisp Project</name>
</maintainer>
<longdescription>
CL-PPCRE is a portable regular expression library for Common Lisp
which has the following features:
* compatible with Perl
* fast (outperforms Perl)
* portable (ANSI Common Lisp)
* thread-safe
* includes convenience features
* well-documented.
<longdescription lang="en">
CL-PPCRE is a portable regular expression library for Common Lisp
which has the following features:
* compatible with Perl
* fast (outperforms Perl)
* portable (ANSI Common Lisp)
* thread-safe
* includes convenience features
* well-documented
</longdescription>
<longdescription lang="es">
CL-PPCRE es una biblioteca de expressiones regulares portable
para Common Lisp que tiene las siguientes características:
* Compatible con Perl
* Rápida (más rápida que la versión para Perl)
* Portable (ANSI Common Lisp)
* Segura en la ejecución de hilos (thread-safe)
* Incluye características para hacerla cómoda
* Bien documentada
</longdescription>
<upstream>
<remote-id type="github">edicl/cl-ppcre</remote-id>

@ -1,7 +1,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit common-lisp-3 xdg-utils

@ -5,7 +5,7 @@
<email>common-lisp@gentoo.org</email>
<name>Gentoo Common Lisp Project</name>
</maintainer>
<longdescription>
<longdescription lang="en">
CL-UNICODE is a library which provides Common Lisp implementations
with knowledge about Unicode characters including their name, their
general category, the scripts and blocks they belong to, their
@ -14,6 +14,15 @@
with one that is Unicode-aware and is used to enhance CL-PPCRE with
Unicode properties.
</longdescription>
<longdescription lang="es">
CL-UNICODE es una biblioteca que ofrece implmentaciones de Common
Lisp que reconoce caracteres Unicode incluyendo su nombre, categoría
general, los guiones y bloques a los que pertenecen, su valor
numérico y algunas otras propiedades. También ofrece la capacidad
de reemplazar la sintaxis estándar para la lectura de caracteres
Lisp por otra que reconoce Unicode y se utiliza para mejorar
CL-PPCRE con propiedades Unicode.
</longdescription>
<upstream>
<remote-id type="github">edicl/cl-unicode</remote-id>
</upstream>

@ -1,7 +1,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit common-lisp-3 eutils
@ -20,11 +20,12 @@ RDEPEND="!dev-lisp/cl-${PN}"
src_prepare() {
rm -v {exclcmac,sockcl,defsystem,provide,cmudep}.lisp || die
epatch "${FILESDIR}"/gentoo-fix-asd.patch
epatch "${FILESDIR}"/gentoo-fix-dep-openmcl.patch
epatch "${FILESDIR}"/gentoo-fix-unused-vars.patch
epatch "${FILESDIR}"/gentoo-fix-obsolete-eval-when.patch
epatch "${FILESDIR}"/gentoo-fix-dynamic-extent-sbcl-1.0.45.patch
eapply "${FILESDIR}"/gentoo-fix-asd.patch
eapply "${FILESDIR}"/gentoo-fix-dep-openmcl.patch
eapply "${FILESDIR}"/gentoo-fix-unused-vars.patch
eapply "${FILESDIR}"/gentoo-fix-obsolete-eval-when.patch
eapply "${FILESDIR}"/gentoo-fix-dynamic-extent-sbcl-1.0.45.patch
eapply_user
}
src_compile() {

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6

@ -1,10 +1,9 @@
<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE pkgmetadata SYSTEM "http://www.gentoo.org/dtd/metadata.dtd">
<pkgmetadata>
<maintainer type="person">
<email>nimiux@gentoo.org</email>
<name>Chema Alonso</name>
<description>Maintainer</description>
<maintainer type="project">
<email>common-lisp@gentoo.org</email>
<name>Gentoo Common Lisp Project</name>
</maintainer>
<longdescription lang="en">
CLX provides an implementation of the X Window System protocol to

@ -1 +1 @@
DIST flexi-streams-1.0.15.tar.gz 135550 SHA256 1c9d8020cfd2bf0344e5baf1dff8b01aa7cefcdc5bc3765d029bd2e723d00251 SHA512 103e6c53f8c0ffd6d218e08e49fd49c21f420c1221912121dba1218d4631b6869357002fb1a18444e58283e2d6e59ae3f43d5a23c06c506538d69f4a178b3973 WHIRLPOOL d8a88f21b26079f86d5deb55cfeae0bc4c7f34d853e4b2a887eeb829f38e5be8d8902dea675caa7d373503f25c798b2492d6a1212fb58ea15e352e1c3c9b90fa
DIST flexi-streams-1.0.16.tar.gz 135698 SHA256 bcaaa51d4f8e176f3a532d54c9bf7b6f031b2a18761e0fa9888395dc799660b9 SHA512 66b7c5231616c7a6095a52d6c679717795c9308e33487536a5e1b7f0d25f26aacd2579a76c351f8e16a967a0611456cbc97b3824f4d9cf4875b8e48b0c4f7c78 WHIRLPOOL 0e5bfdc0b2fb00de56cf0cd3d7feac06ce68c0476969249a5c1fec03918da81c2596d4af2d3aa945e7ccaf1464543fb7aa2d23abd187b2f6fa5dba24fc266178

@ -1,7 +1,7 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit common-lisp-3
@ -21,5 +21,5 @@ RDEPEND="!dev-lisp/cl-${PN}
src_install() {
common-lisp-install-sources *.lisp
common-lisp-install-asdf
dohtml doc/index.html
dodoc doc/index.html
}

@ -12,6 +12,15 @@
encodings which can be changed on the fly. It also supplies
in-memory binary streams which are similar to string streams.
</longdescription>
<longdescription lang="es">
FLEXI-STREAMS implementa flujos de datos bivalentes "virtuales"
que se pueden superponer a flujos de datos binarios reales o
bivalentes y que pueden ser utilizados para leer y escribir datos
en caracteres en distintas codificaciones sencillas o multi-octeto
que a su vez se pueden cambiar al vuelo. También proporciona flujos
de datos en memoria que son similares a los flujos de datos de
cadenas de caracteres.
</longdescription>
<upstream>
<remote-id type="github">edicl/flexi-streams</remote-id>
</upstream>

@ -1,9 +1,9 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
EAPI=6
inherit common-lisp-3 git-2
inherit common-lisp-3 git-r3
DESCRIPTION="A thin compatibility layer between Gray Stream Common Lisp implementations"
HOMEPAGE="https://common-lisp.net/project/trivial-gray-streams/"

@ -11,7 +11,7 @@ SRC_URI="http://forge.ocamlcore.org/frs/download.php/72/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="doc"
DEPEND="app-arch/bzip2

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/${PN}/releases/${P}.tbz"
LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="doc +ocamlopt"
RDEPEND=">=dev-lang/ocaml-4:=[ocamlopt?]"

@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/${PN}/releases/${P}.tbz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="+ocamlopt test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -11,7 +11,7 @@ SRC_URI="https://gforge.inria.fr/frs/download.php/file/34659/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="+ocamlopt test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -12,7 +12,7 @@ SRC_URI="https://gforge.inria.fr/frs/download.php/file/36063/${P}.tar.gz"
LICENSE="LGPL-3"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="+ocamlopt parmap zip bzip2 xml curl rpm4 test"
RDEPEND="

@ -15,7 +15,7 @@ DEPEND="
"
RDEPEND="${DEPEND}"
SLOT="0/${PV}"
KEYWORDS="amd64 ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
KEYWORDS="amd64 ~arm ppc x86 ~amd64-linux ~x86-linux ~ppc-macos"
IUSE="doc +ocamlopt"
S="${WORKDIR}/ocaml-${P}"

@ -12,7 +12,7 @@ SRC_URI="https://github.com/janestreet/jbuilder/archive/${MY_PV}.tar.gz -> ${MY_
LICENSE="Apache-2.0"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~ppc"
IUSE=""
DEPEND="dev-lang/ocaml:="

@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/jsonm/releases/${P}.tbz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
RDEPEND=">=dev-ml/uutf-1.0.0:=

@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/jsonm/releases/${P}.tbz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
RDEPEND=">=dev-ml/uutf-1.0.0:=

@ -31,7 +31,7 @@ DEPEND="${RDEPEND}"
SRC_URI="http://wwwfun.kurims.kyoto-u.ac.jp/soft/olabl/dist/${P}.tar.gz"
SLOT="0/${PV}"
KEYWORDS="alpha amd64 hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="alpha amd64 ~arm hppa ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
src_configure() {
# make configuration file

@ -27,7 +27,7 @@ DEPEND="${RDEPEND}
virtual/pkgconfig"
SLOT="2/${PV}"
KEYWORDS="alpha amd64 ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
KEYWORDS="alpha amd64 ~arm ia64 ppc ppc64 sparc x86 ~x86-fbsd ~amd64-linux ~x86-linux"
src_configure() {
econf $(use_enable debug) \

@ -27,7 +27,7 @@ RDEPEND="${DEPEND}
SLOT="0/${PV}"
LICENSE="LGPL-2.1-with-linking-exception"
KEYWORDS="~amd64 ~x86-fbsd"
KEYWORDS="~amd64 ~arm ~ppc ~x86-fbsd"
DOCS=( "CHANGES" "README.md" )

@ -11,7 +11,7 @@ SRC_URI="https://github.com/ocamllabs/ocaml-ctypes/archive/${PV}.tar.gz -> ${P}.
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -14,7 +14,7 @@ SRC_URI="https://github.com/ocaml/ocaml-re/archive/${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="test"
RDEPEND=">=dev-lang/ocaml-4.02:="

@ -17,7 +17,7 @@ RDEPEND="${DEPEND}"
SLOT="0/${PV}"
LICENSE="LGPL-2.1"
KEYWORDS="amd64 ppc x86 ~x86-fbsd"
KEYWORDS="amd64 ~arm ppc x86 ~x86-fbsd"
src_compile() {
emake -j1

@ -10,7 +10,7 @@ HOMEPAGE="http://ocamlgraph.lri.fr/index.en.html"
SRC_URI="http://ocamlgraph.lri.fr/download/${P}.tar.gz"
LICENSE="LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="~amd64 ppc x86"
KEYWORDS="~amd64 ~arm ppc x86"
RDEPEND=">=dev-lang/ocaml-3.10.2:=[ocamlopt?]
gtk? ( dev-ml/lablgtk:=[gnomecanvas,ocamlopt?] )"
DEPEND="${RDEPEND}

@ -13,7 +13,7 @@ IUSE=""
LICENSE="LGPL-2"
SLOT="0"
KEYWORDS="~amd64 ppc x86"
KEYWORDS="~amd64 ~arm ppc x86"
DEPEND=">=dev-lang/ocaml-3.09:=
virtual/latex-base

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -19,7 +19,7 @@ RDEPEND=">=net-misc/curl-7.9.8
>=dev-lang/ocaml-3.12:=[ocamlopt]"
DEPEND="${RDEPEND}
virtual/pkgconfig"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
src_compile()
{

@ -9,7 +9,7 @@ DESCRIPTION="A source-based package manager for OCaml"
HOMEPAGE="http://opam.ocaml.org/"
LICENSE="LGPL-3-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
if [[ ${PV} != 9999 ]]; then

@ -9,7 +9,7 @@ DESCRIPTION="A source-based package manager for OCaml"
HOMEPAGE="http://opam.ocaml.org/"
LICENSE="LGPL-3-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~ppc"
IUSE=""
if [[ ${PV} != 9999 ]]; then

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -12,7 +12,7 @@ SRC_URI="https://github.com/rdicosmo/parmap/archive/${MY_PV}.tar.gz -> ${P}-ocam
LICENSE="LGPL-2-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE="+ocamlopt"
RDEPEND=">=dev-lang/ocaml-4.03:=[ocamlopt?]"

@ -12,7 +12,7 @@ SRC_URI="https://github.com/rdicosmo/parmap/archive/${MY_PV}.tar.gz -> ${P}.tar.
LICENSE="LGPL-2-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm ~x86"
KEYWORDS="~amd64 ~arm ~ppc ~x86"
IUSE="+ocamlopt"
RDEPEND=">=dev-lang/ocaml-4.03:=[ocamlopt?]"

@ -1,4 +1,4 @@
# Copyright 1999-2016 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -12,7 +12,7 @@ SRC_URI="https://github.com/alainfrisch/ppx_tools/archive/${MY_PV}.tar.gz -> ${P
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
DEPEND=">=dev-lang/ocaml-4.03.0:="

@ -12,7 +12,7 @@ SRC_URI="https://github.com/alainfrisch/ppx_tools/archive/${MY_PV}.tar.gz -> ${P
LICENSE="MIT"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~ppc"
IUSE=""
DEPEND=">=dev-lang/ocaml-4.05_beta:="

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -9,7 +9,7 @@ SRC_URI="http://erratique.ch/software/react/releases/${P}.tbz"
LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86-fbsd"
KEYWORDS="~amd64 ~arm ~ppc ~x86-fbsd"
IUSE="doc +ocamlopt"
RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]"

@ -9,7 +9,7 @@ SRC_URI="http://erratique.ch/software/react/releases/${P}.tbz"
LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86-fbsd"
KEYWORDS="~amd64 ~ppc ~x86-fbsd"
IUSE="test"
RDEPEND=">=dev-lang/ocaml-3.12:="

@ -11,7 +11,7 @@ SRC_URI="https://github.com/janestreet/result/archive/${PV}.tar.gz -> ${P}.tar.g
LICENSE="BSD"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="+ocamlopt"
RDEPEND="dev-lang/ocaml:=[ocamlopt?]"

@ -9,7 +9,7 @@ SRC_URI="https://github.com/janestreet/sexplib/archive/v${PV}.tar.gz -> ${P}.tar
LICENSE="Apache-2.0"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~ppc"
IUSE=""
RDEPEND="dev-lang/ocaml:="

@ -11,7 +11,7 @@ SRC_URI="https://github.com/dbuenzli/topkg/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
RDEPEND="dev-ml/result:=

@ -11,7 +11,7 @@ SRC_URI="https://github.com/dbuenzli/topkg/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE=""
RDEPEND="dev-ml/result:=

@ -1,4 +1,4 @@
# Copyright 1999-2015 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI="5"
@ -14,7 +14,7 @@ SRC_URI="http://ocaml.janestreet.com/ocaml-core/${PV%.*}/files/${MY_P}.tar.gz"
LICENSE="LGPL-2.1-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~ppc ~x86"
IUSE=""
RDEPEND=">=dev-lang/ocaml-4.02[ocamlopt?]

@ -11,7 +11,7 @@ SRC_URI="https://github.com/ocaml/uchar/archive/v${PV}.tar.gz -> ${P}.tar.gz"
LICENSE="LGPL-2-with-linking-exception"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="+ocamlopt"
RDEPEND=">=dev-lang/ocaml-4.03:="

@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/uutf/releases/${P}.tbz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="doc utftrip +ocamlopt test"
RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]

@ -11,7 +11,7 @@ SRC_URI="http://erratique.ch/software/uutf/releases/${P}.tbz"
LICENSE="ISC"
SLOT="0/${PV}"
KEYWORDS="~amd64 ~arm"
KEYWORDS="~amd64 ~arm ~ppc"
IUSE="doc utftrip +ocamlopt test"
RDEPEND=">=dev-lang/ocaml-3.12:=[ocamlopt?]

@ -11,7 +11,7 @@ SRC_URI="http://tech.motion-twin.com/zip/${P}.zip"
LICENSE="LGPL-2.1"
SLOT="0/${PV}"
KEYWORDS="amd64 ~arm x86"
KEYWORDS="amd64 ~arm ~ppc x86"
IUSE="doc +ocamlopt"
RDEPEND="dev-lang/ocaml:=[ocamlopt?]"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Easy access to any pastebin"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="+pastebin +browser clipboard github test"
RDEPEND="

@ -1,4 +1,4 @@
# Copyright 1999-2014 Gentoo Foundation
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=5
@ -14,8 +14,12 @@ KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND=""
DEPEND="
test? ( dev-perl/Test-Pod
dev-perl/Test-Pod-Coverage )"
DEPEND=""
SRC_TEST="do parallel"
SRC_TEST=do
src_prepare() {
# MI things
use test && perl_rm_files t/pod.t t/pod-coverage.t
perl-module_src_prepare
}

@ -0,0 +1,26 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=ETHER
DIST_VERSION=0.19
inherit perl-module
DESCRIPTION="Interface to perls parser variables"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND=">=dev-perl/B-Hooks-OP-Check-0.180.0"
DEPEND="${RDEPEND}
>=dev-perl/ExtUtils-Depends-0.302.0
virtual/perl-ExtUtils-MakeMaker
test? (
dev-perl/Test-Fatal
dev-perl/B-Hooks-EndOfScope
virtual/perl-File-Spec
virtual/perl-Test-Simple
)
"

@ -1 +1,2 @@
DIST B-Hooks-Parser-0.16.tar.gz 84593 SHA256 24e65268da41976fe3055091554848f6ef6eedd0c5c1a708b0fca5fe10cabab6 SHA512 5079b7233b5d69c4347cace3131e736c973d6c63daf063b39338d2b91dd44880fbfb255b9e9aac291ec0614e747115d14c2b7e13425336b97352ee1a41a10a2a WHIRLPOOL 9c53d5621b1648ef3636282cf51cc23b619fc4ece408a29e4980789fbf053642d89c98ae319c17a8217789727a6239e99d5be2fd05f04fa5861cecccd7d7bd83
DIST B-Hooks-Parser-0.19.tar.gz 87015 SHA256 b83b51848e6dade6ca56975b47eafbb7d468b5e42e45e2992a5b84ccb9e9ca21 SHA512 87708e718bddcdf3a80fa4f75a7fb9f642519b8dc1bdb5eafaf825b10efb23f74e8645af86094696efd50c1194a818360ee1a77ce226a0b1f89ea4db90be636b WHIRLPOOL 9114935e6aad991ad830b38d286b5f3f925faee23919eb4603664fb0f56cde9b2b4c76ff08a915347c47e3a2bd7b6bfb84871de3a004267e4ad68cf4bd64bdd1

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Open a browser at a given URL"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="test"
RDEPEND=""

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="cPanel fork of JSON::XS, fast and correct serializing"
SLOT="0"
KEYWORDS="~amd64 ~x86"
KEYWORDS="~amd64 ~arm ~x86"
IUSE="test"
RDEPEND=""

@ -8,7 +8,7 @@ inherit perl-module
DESCRIPTION='Digital Signature Algorithm using OpenSSL'
SLOT="0"
KEYWORDS="~amd64 ~hppa ~ia64 ~x86"
KEYWORDS="~amd64 ~hppa ~ia64 ~ppc64 ~x86"
IUSE="libressl"
RDEPEND="

@ -9,7 +9,7 @@ inherit perl-module
DESCRIPTION="Perl interface to the GOST R 34.11-94 digest algorithm"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc64 ~x86"
IUSE="test"
RDEPEND="

@ -0,0 +1,44 @@
# Copyright 1999-2017 Gentoo Foundation
# Distributed under the terms of the GNU General Public License v2
EAPI=6
DIST_AUTHOR=RJBS
DIST_VERSION=1.300031
inherit perl-module
DESCRIPTION="A library for sending email"
SLOT="0"
KEYWORDS="~amd64 ~x86"
IUSE="test"
RDEPEND="
virtual/perl-Carp
>=dev-perl/Email-Abstract-3.6.0
dev-perl/Email-Address
>=dev-perl/Email-Simple-1.998.0
>=virtual/perl-File-Path-2.60.0
virtual/perl-File-Spec
>=virtual/perl-IO-1.110.0
dev-perl/Module-Runtime
>=dev-perl/Moo-2.0.0
>=dev-perl/MooX-Types-MooseLike-0.150.0
dev-perl/Net-SMTP-SSL
>=virtual/perl-Scalar-List-Utils-1.450.0
dev-perl/Sub-Exporter
>=dev-perl/Throwable-0.200.3
dev-perl/Try-Tiny
>=virtual/perl-libnet-3.70.0
"
DEPEND="${RDEPEND}
virtual/perl-ExtUtils-MakeMaker
test? (
>=virtual/perl-CPAN-Meta-2.120.900
>=dev-perl/Capture-Tiny-0.80.0
virtual/perl-Exporter
virtual/perl-File-Temp
dev-perl/Sub-Override
>=virtual/perl-Test-Simple-0.960.0
)
"

@ -1,2 +1,3 @@
DIST Email-Sender-1.300016.tar.gz 47240 SHA256 00042de1b78fb26b2ff37bd92c0d61631810725a5235f4841e38a501a533a2a3 SHA512 b64ae8308f066b864bc414d9574a0ab9e04f08aeb31e25b296d740f094c6c4abcd208dbc0b668a9b1fe9dcbbb22e8cfb398101f20d05d1403db320348fdc01eb WHIRLPOOL 5a8a2dd3ff2422b85abd9f269e8584b36e23d14cd94d2b79c68ede86cc4d22f05a799e05ba00f437ae7a8213139385235bf6334e4851aced13001982482ff481
DIST Email-Sender-1.300030.tar.gz 51346 SHA256 a7ec45897b131cd9534877cf81ccc03b699e2cb6bad265366601973a99f8dda2 SHA512 db570b885be49ddca7287dbea368e173d037cb076b54ab5e9384e71350340483be61141f74d3958a03406af701665dd8f921be7d6e8e33e14535ba9391ac29b4 WHIRLPOOL fb67392cc60fb449b4078457683d6bf86e234cd9540fd63f3ae4b9f1ecb2ade8f1e0393fda485b04961f2b784411d9c525b712b40f6cba9a80c565f76de94ef8
DIST Email-Sender-1.300031.tar.gz 51708 SHA256 c412372938510283d8c850127895e09c2b670f892e1c3992fd54c0c1a9064f14 SHA512 72aa65d21df9b0a1fa52ba99c9c1c4a660142819ed9658eb2c2b74f1ab70257911af1f071524ecbb3917a7be1464b7a157792b5e03921788ce9f23a86e7874f1 WHIRLPOOL 83eb8e72eacb95803cde0cf0f7b4d24dd43d38560b38bc3d98456925ef4b7e16011f64eaf8524f22c227c5415537c0a4da7b35b4481fef5c71bcb0ef0675c816

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="Combines many List::* utility modules in one bite-sized package"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~m68k ~ppc ~ppc64 ~s390 ~sh ~sparc ~x86 ~ppc-aix ~amd64-linux ~x86-linux ~ppc-macos ~x64-macos ~x86-macos ~x86-solaris"
LICENSE="Artistic-2"
IUSE="test"

@ -10,7 +10,7 @@ inherit perl-module
DESCRIPTION="XS implementation for List::SomeUtils"
LICENSE="Artistic-2"
SLOT="0"
KEYWORDS="~alpha ~amd64 ~ia64 ~ppc ~ppc64 ~sparc ~x86"
KEYWORDS="~alpha ~amd64 ~arm ~ia64 ~ppc ~ppc64 ~sparc ~x86"
IUSE="test"
RDEPEND="

Some files were not shown because too many files have changed in this diff Show More

Loading…
Cancel
Save